# Version 2

<mark style="color:green;">`POST`</mark> `https://okaydocdemo.innov8tif.com/ekyc/api/ekyc/v2/doc-verify/vn-new-id-front`

#### Request Body

| Name               | Type   | Description                   |
| ------------------ | ------ | ----------------------------- |
| caseNo             | string | Reference code given by user  |
| apiKey             | string | To be assigned by Innov8tif   |
| idImageBase64Image | string | Front id card image in base64 |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": "success",
    "messageCode": "api.success",
    "message": "",
    "id": "403edf75-bf24-445d-9636-fa21c075ab0c",
    "methodList": [
        {
            "method": "landmark",
            "label": "Landmark Analysis Result",
            "componentList": [
                {
                    "code": "l-vn-new-id-front-logo",
                    "label": "Logo",
                    "value": "95.9013819694519",
                    "imageUrl": "/public/image/v2/403edf75-bf24-445d-9636-fa21c075ab0c?type=l-vn-new-id-front-logo",
                    "refImageUrl": null
                },
                {
                    "code": "l-vn-new-id-front-header",
                    "label": "Header",
                    "value": "84.98201370239258",
                    "imageUrl": "/public/image/v2/403edf75-bf24-445d-9636-fa21c075ab0c?type=l-vn-new-id-front-header",
                    "refImageUrl": null
                },
                {
                    "code": "l-vn-new-id-front-expiry-d",
                    "label": "Expiry Date",
                    "value": "89.49731588363647",
                    "imageUrl": "/public/image/v2/403edf75-bf24-445d-9636-fa21c075ab0c?type=l-vn-new-id-front-expiry-d",
                    "refImageUrl": null
                },
                {
                    "code": "l-vn-new-id-front-id-no",
                    "label": "ID Number",
                    "value": "93.24602484703064",
                    "imageUrl": "/public/image/v2/403edf75-bf24-445d-9636-fa21c075ab0c?type=l-vn-new-id-front-id-no",
                    "refImageUrl": null
                },
                {
                    "code": "l-vn-new-id-front-dob",
                    "label": "Date Of Birth",
                    "value": "95.00734806060791",
                    "imageUrl": "/public/image/v2/403edf75-bf24-445d-9636-fa21c075ab0c?type=l-vn-new-id-front-dob",
                    "refImageUrl": null
                },
                {
                    "code": "l-vn-new-id-front-gender",
                    "label": "Gender",
                    "value": "94.83407139778137",
                    "imageUrl": "/public/image/v2/403edf75-bf24-445d-9636-fa21c075ab0c?type=l-vn-new-id-front-gender",
                    "refImageUrl": null
                },
                {
                    "code": "l-vn-new-id-front-hometown",
                    "label": "Hometown",
                    "value": "93.04853081703186",
                    "imageUrl": "/public/image/v2/403edf75-bf24-445d-9636-fa21c075ab0c?type=l-vn-new-id-front-hometown",
                    "refImageUrl": null
                },
                {
                    "code": "l-vn-new-id-front-address",
                    "label": "Address",
                    "value": "73.42544198036194",
                    "imageUrl": "/public/image/v2/403edf75-bf24-445d-9636-fa21c075ab0c?type=l-vn-new-id-front-address",
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "blurrinessDetection",
            "label": "ID Blur Detection",
            "componentList": [
                {
                    "code": "blurrinessDetection",
                    "label": "ID Blur Detection",
                    "value": "Fail",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "brightnessDetection",
            "label": "ID Brightness Detection",
            "componentList": [
                {
                    "code": "brightnessDetection",
                    "label": "ID Brightness Detection",
                    "value": "Pass",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "colorDetection",
            "label": "Color Mode",
            "componentList": [
                {
                    "code": "colorDetection",
                    "label": "Color Mode",
                    "value": "Pass",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        }
    ],
    "outputImageList": [
        {
            "tag": "cropId",
            "imageUrl": "/public/image/v2/403edf75-bf24-445d-9636-fa21c075ab0c?type=cropId"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

### Input Example

{% code title="JSON" %}

```
{
    "apiKey": "apiKey",
    "caseNo": "CASE 123",
    "idImageBase64Image": "/9j/4AAQSkZJ...fYs1wRtQHt//Z\r\n" 
}
```

{% endcode %}

{% file src="/files/-M1-6pvTTe1qjjGVTUb7" %}
OkayDoc VN New IC v2
{% endfile %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okaydoc/vietnam/vn-new-id-card/version-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
